#
# This file is part of XML-Ant-BuildFile
#
# This software is copyright (c) 2014 by GSI Commerce.
#
# This is free software; you can redistribute it and/or modify it under
# the same terms as the Perl 5 programming language system itself.
#
use utf8;
use Modern::Perl; ## no critic (UselessNoCritic,RequireExplicitPackage)

# This file was automatically generated by Dist::Zilla::Plugin::MakeMaker v5.027.
use strict;
use warnings;

use 5.010;

use ExtUtils::MakeMaker;



my %WriteMakefileArgs = (
  "ABSTRACT" => "consume Ant build files",
  "AUTHOR" => "Mark Gardner <mjgardner\@cpan.org>",
  "CONFIGURE_REQUIRES" => {
    "ExtUtils::MakeMaker" => 0
  },
  "DISTNAME" => "XML-Ant-BuildFile",
  "EXE_FILES" => [],
  "LICENSE" => "perl",
  "MIN_PERL_VERSION" => "5.010",
  "NAME" => "XML::Ant::BuildFile",
  "PREREQ_PM" => {
    "Carp" => 0,
    "English" => 0,
    "List::Util" => "1.33",
    "Modern::Perl" => 0,
    "Module::Pluggable" => 0,
    "Moose" => 0,
    "Moose::Role" => 0,
    "Moose::Util::TypeConstraints" => 0,
    "MooseX::Has::Sugar" => 0,
    "MooseX::Has::Sugar::Minimal" => 0,
    "MooseX::Singleton" => "0.26",
    "MooseX::Types::Moose" => 0,
    "MooseX::Types::Path::Class" => 0,
    "Path::Class" => 0,
    "Readonly" => 0,
    "Regexp::DefaultFlags" => 0,
    "Try::Tiny" => 0,
    "XML::Rabbit" => "0.0.4",
    "XML::Rabbit::Node" => "0.0.4",
    "XML::Rabbit::RootNode" => 0,
    "namespace::autoclean" => 0,
    "strict" => 0,
    "utf8" => 0
  },
  "TEST_REQUIRES" => {
    "File::Spec" => 0,
    "IO::Handle" => 0,
    "IPC::Open3" => 0,
    "Scalar::Util" => 0,
    "Test::More" => "0.94",
    "Test::Most" => 0,
    "warnings" => 0
  },
  "VERSION" => "0.216",
  "test" => {
    "TESTS" => "t/*.t"
  }
);


my %FallbackPrereqs = (
  "Carp" => 0,
  "English" => 0,
  "ExtUtils::MakeMaker" => 0,
  "File::Spec" => 0,
  "IO::Handle" => 0,
  "IPC::Open3" => 0,
  "List::Util" => "1.33",
  "Modern::Perl" => 0,
  "Module::Pluggable" => 0,
  "Moose" => 0,
  "Moose::Role" => 0,
  "Moose::Util::TypeConstraints" => 0,
  "MooseX::Has::Sugar" => 0,
  "MooseX::Has::Sugar::Minimal" => 0,
  "MooseX::Singleton" => "0.26",
  "MooseX::Types::Moose" => 0,
  "MooseX::Types::Path::Class" => 0,
  "Path::Class" => 0,
  "Readonly" => 0,
  "Regexp::DefaultFlags" => 0,
  "Scalar::Util" => 0,
  "Test::More" => "0.94",
  "Test::Most" => 0,
  "Try::Tiny" => 0,
  "XML::Rabbit" => "0.0.4",
  "XML::Rabbit::Node" => "0.0.4",
  "XML::Rabbit::RootNode" => 0,
  "namespace::autoclean" => 0,
  "strict" => 0,
  "utf8" => 0,
  "warnings" => 0
);


unless ( eval { ExtUtils::MakeMaker->VERSION(6.63_03) } ) {
  delete $WriteMakefileArgs{TEST_REQUIRES};
  delete $WriteMakefileArgs{BUILD_REQUIRES};
  $WriteMakefileArgs{PREREQ_PM} = \%FallbackPrereqs;
}

delete $WriteMakefileArgs{CONFIGURE_REQUIRES}
  unless eval { ExtUtils::MakeMaker->VERSION(6.52) };

WriteMakefile(%WriteMakefileArgs);



